All of lore.kernel.org
 help / color / mirror / Atom feed
From: Florian Westphal <fw@strlen.de>
To: <netfilter-devel@vger.kernel.org>
Cc: Florian Westphal <fw@strlen.de>
Subject: [PATCH nft 5/5] tests: shell skip inner matching tests if unsupported
Date: Mon,  4 Sep 2023 11:06:34 +0200	[thread overview]
Message-ID: <20230904090640.3015-6-fw@strlen.de> (raw)
In-Reply-To: <20230904090640.3015-1-fw@strlen.de>

Signed-off-by: Florian Westphal <fw@strlen.de>
---
 tests/shell/features/inner_matching.nft | 7 +++++++
 tests/shell/testcases/sets/inner_0      | 2 ++
 2 files changed, 9 insertions(+)
 create mode 100644 tests/shell/features/inner_matching.nft

diff --git a/tests/shell/features/inner_matching.nft b/tests/shell/features/inner_matching.nft
new file mode 100644
index 000000000000..6c86fd3558ac
--- /dev/null
+++ b/tests/shell/features/inner_matching.nft
@@ -0,0 +1,7 @@
+# 3a07327d10a0 ("netfilter: nft_inner: support for inner tunnel header matching")
+# v6.2-rc1~99^2~350^2~4
+table ip t {
+        chain c {
+                udp dport 4789 vxlan ip saddr 1.2.3.4
+        }
+}
diff --git a/tests/shell/testcases/sets/inner_0 b/tests/shell/testcases/sets/inner_0
index 0eb172a8cf06..ceb35115cc7d 100755
--- a/tests/shell/testcases/sets/inner_0
+++ b/tests/shell/testcases/sets/inner_0
@@ -1,5 +1,7 @@
 #!/bin/bash
 
+[ $NFT_HAVE_inner_matching -eq 0 ] && exit 123
+
 set -e
 
 RULESET="table netdev x {
-- 
2.41.0


      parent reply	other threads:[~2023-09-04  9:07 UTC|newest]

Thread overview: 16+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-09-04  9:06 [PATCH nft 0/5] tests: shell: add and use feature probing Florian Westphal
2023-09-04  9:06 ` [PATCH nft 1/5] tests: add " Florian Westphal
2023-09-05 13:00   ` Phil Sutter
2023-09-05 13:44     ` Florian Westphal
2023-09-05 14:01       ` Phil Sutter
2023-09-05 14:09         ` Florian Westphal
2023-09-05 20:28           ` Phil Sutter
2023-09-06  5:17     ` Thomas Haller
2023-09-06 14:36   ` Thomas Haller
2023-09-04  9:06 ` [PATCH nft 2/5] tests: shell: let netdev_chain_0 test indicate SKIP if kernel requires netdev device Florian Westphal
2023-09-05 13:03   ` Phil Sutter
2023-09-06 13:42   ` Thomas Haller
2023-09-04  9:06 ` [PATCH nft 3/5] tests: shell: typeof_integer/raw: prefer @nh for payload matching Florian Westphal
2023-09-04  9:06 ` [PATCH nft 4/5] tests: shell: add and use feature probe for map query like a set Florian Westphal
2023-09-06 14:39   ` Thomas Haller
2023-09-04  9:06 ` Florian Westphal [this message]

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20230904090640.3015-6-fw@strlen.de \
    --to=fw@strlen.de \
    --cc=netfilter-devel@vger.kernel.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.